## net.sf.saxon.trans
Class DynamicError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.DynamicError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CopyNamespaceSensitiveException, NoOpenStartTagException, PTreeReader.PTreeException, TerminationException, XPathException.Circularity

    public class DynamicError

extends XPathException

Subclass of XPathException used for dynamic errors

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`DynamicError(String message)`
`DynamicError(String message, SourceLocator loc)`
`DynamicError(String message, SourceLocator loc, Throwable err)`
`DynamicError(String message, String errorCode)`
`DynamicError(String message, String errorCode, XPathContext context)`
`DynamicError(String message, Throwable err)`
`DynamicError(Throwable err)`

Method Summary
`XPathContext` `getXPathContext()`
`static DynamicError` `makeDynamicError(TransformerException err)`
`void` `setXPathContext(XPathContext context)`

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicError

    public DynamicError(String message)

### DynamicError

    public DynamicError(Throwable err)

### DynamicError

    public DynamicError(String message,
                        Throwable err)

### DynamicError

    public DynamicError(String message,
                        SourceLocator loc)

### DynamicError

    public DynamicError(String message,
                        SourceLocator loc,
                        Throwable err)

### DynamicError

    public DynamicError(String message,
                        String errorCode)

### DynamicError

    public DynamicError(String message,
                        String errorCode,
                        XPathContext context)

Method Detail

### setXPathContext

    public void setXPathContext(XPathContext context)

### getXPathContext

    public XPathContext getXPathContext()

### makeDynamicError

    public static DynamicError makeDynamicError(TransformerException err)

Copyright (C) Michael H. Kay. All rights reserved.